IMG_3117.JPG=Inside the Chapel just before the services began.
IMG_3118.JPG=A graduating Midshipman stands during the service as all Middies were thanked for their service to the United States of America and blessed to be protected especially when in harm’s way in performing their duties.
IMG_3231.JPG=The graves of Arlington National Cemetery, Memorial Day 2009, decorated with American Flags in rememberance of those who have served and lost their lives in defense of liberty and freedom.
IMG_2229.JPG=The USNA Chapel at Annapolis.
IMG_3119.JPG=Capital District Kiwanians at "On to Church Sunday"
